List
curl --request GET \
--url https://api.ngrok.com/event_destinations \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/event_destinations"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/event_destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_destinations": [
{
"id": "<string>",
"metadata": "<string>",
"created_at": "<string>",
"description": "<string>",
"format": "<string>",
"target": {
"firehose": {
"auth": {
"role": {
"role_arn": "<string>"
},
"creds": {
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>"
}
},
"delivery_stream_arn": "<string>"
},
"kinesis": {
"auth": {
"role": {
"role_arn": "<string>"
},
"creds": {
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>"
}
},
"stream_arn": "<string>"
},
"cloudwatch_logs": {
"auth": {
"role": {
"role_arn": "<string>"
},
"creds": {
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>"
}
},
"log_group_arn": "<string>"
},
"datadog": {
"api_key": "<string>",
"ddtags": "<string>",
"service": "<string>",
"ddsite": "<string>"
},
"azure_logs_ingestion": {
"tenant_id": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"logs_ingestion_uri": "<string>",
"data_collection_rule_id": "<string>",
"data_collection_stream_name": "<string>"
}
},
"uri": "<string>"
}
],
"uri": "<string>",
"next_page_uri": "<string>"
}Event Destinations
List
List all Event Destinations on this account.
GET
/
event_destinations
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Expects a resource ID as its input. Returns earlier entries in the result set, sorted by ID.
Constrains the number of results in the dataset. See the API Overview for details.
A CEL expression to filter the list results. Supports logical and comparison operators to match on fields such as id, metadata, created_at, and more. See ngrok API Filtering for syntax and field details: https://ngrok.com/docs/api/api-filtering.
Response
200 - application/json
List all Event Destinations on this account.
Was this page helpful?
⌘I